#include <stdio.h>
#include <math.h>
main()
{
    int n,h[10000],i,hp,ind = -1;
    scanf("%d",&n);
    scanf("%d",&hp);
    for (i=0;i < n ;i++) 
    {
		scanf("%d",&h[i]);
	}
    for(i=0;i<n && ind==-1 ;i ++)
    {
        if (h[i] <= hp) ind=i+1;
    }
    printf("%d",ind);
    
}